API DocumentationAccount
Update user preferences
Update preferences for the authenticated user.
Authorization
bearer_auth AuthorizationBearer <token>
Authentication
Create an API token on Profile. Send it in the Authorization header:
Authorization: Bearer os1_...Do not use the Keycloak web-session JWT as an API token. Keep the secret secure and do not share it.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request body for updating user preferences.
Response Body
application/json
application/json
text/pain
application/json
application/json
curl -X PUT "https://example.com/v1/account/preferences" \ -H "Content-Type: application/json" \ -d '{ "theme_color": "blue" }'{ "status": "success"}{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized. Send POST /v1/init, then retry the request." } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}